	 local _, private = ...
	private.defaults.hidemovieSetChecked = {
		SetChecked = false,
	}	
	
local dvhidemoviecheck = CreateFrame("CheckButton", "DejaViewHideMovieCheck", DejaViewPanel, "InterfaceOptionsCheckButtonTemplate")
	dvhidemoviecheck:RegisterEvent("PLAYER_LOGIN")
	dvhidemoviecheck:ClearAllPoints()
	dvhidemoviecheck:SetPoint("TOPLEFT", 25, -110)
	dvhidemoviecheck:SetScale(1.25)
	dvhidemoviecheck.tooltipText = 'When checked disables most in game cinematics.' --Creates a tooltip on mouseover.
	_G[dvhidemoviecheck:GetName() .. "Text"]:SetText("Hide Cinematics")
	
	dvhidemoviecheck:SetScript("OnEvent", function(self, event, arg1)
		if event == "PLAYER_LOGIN" then
		local checked = private.db.hidemovieSetChecked.SetChecked
			self:SetChecked(checked)
		end
	end)
	
	dvhidemoviecheck:SetScript("OnClick", function(self,event,arg1) 
		if dvhidemoviecheck:GetChecked(true) then
			private.db.hidemovieSetChecked.SetChecked=true
			local checked = private.db.hidemovieSetChecked.SetChecked
			self:SetChecked(checked)
		else
			private.db.hidemovieSetChecked.SetChecked=false
			local checked = private.db.hidemovieSetChecked.SetChecked
			self:SetChecked(checked)
		end
	end)
	
	CinematicFrame:HookScript("OnShow", function(self, ...)
		if dvhidemoviecheck:GetChecked(true) then
			CinematicFrame_CancelCinematic()
		end
	end)
	
	MovieFrame:HookScript("OnEvent", function(self, ...) 
		if dvhidemoviecheck:GetChecked(true) then
		GameMovieFinished() 
		end
	end)